
QGIS Application - Bug report #20423

CRASH wnhen I close it....

2018-11-09 02:02 PM - Massimo A 

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.4.0 Regression?: No

Operating System: WINDOWS Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 28243

Description

When I have big project loaded in QGIS when I close it it does crash .... but the file remain ok .

HERE is the bug report...

Crash ID: 41bd556bfb4cb3857ad8b303df49560eb10217ac

Stack Trace

proj_lpz_dist :

proj_lpz_dist :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::QgsCoordinateTransform :

QHashData::free_helper :

QgsCoordinateTransform::addToCache :

QgsCoordinateTransform::invalidateCache :

QgsApplication::exitQgis :

QgisApp::~QgisApp :

CPLStringList::operator char const * __ptr64 const * __ptr64 :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.0-Madeira

QGIS code revision: 4a4b62ed19

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Duplicates QGIS Application - Bug report # 20326: Crash when Quit QGIS Closed 2018-11-02
History

#1 - 2018-11-09 02:19 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

Please try with a new/clean profile.

#2 - 2018-11-09 08:28 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

This is fixed in 3.4.1

#3 - 2018-11-12 08:30 PM - Jürgen Fischer

- Duplicates Bug report #20326: Crash when Quit QGIS added
